docs

# TelegramMediaDocument

data class TelegramMediaDocument : TelegramMedia, DocumentMediaGroupMemberTelegramMedia, ThumbedTelegramMedia
Content copied to clipboard

Represents a general file to be sent. See https://core.telegram.org/bots/api#inputmediadocument

## See also

dev.inmo.tgbotapi.requests.abstracts.InputFile
dev.inmo.tgbotapi.requests.abstracts.MultipartFile
dev.inmo.tgbotapi.requests.abstracts.FileId

## Parameters

disableContentTypeDetection

Disables automatic server-side content type detection for files uploaded using multipart/form-data. Always used by Telegram system as true, if the document is sent as part of an album.

## Functions

serialize
Link copied to clipboard
open override fun serialize (format: StringFormat): String
Content copied to clipboard

## Properties

disableContentTypeDetection
Link copied to clipboard
val disableContentTypeDetection : Boolean ? = null
Content copied to clipboard
entities
Link copied to clipboard
open val entities : List < TextSource >?
Content copied to clipboard
file
Link copied to clipboard
open override val file : InputFile
Content copied to clipboard
media
Link copied to clipboard
open override val media : String
Content copied to clipboard
parseMode
Link copied to clipboard
open override val parseMode : ParseMode ? = null
Content copied to clipboard
text
Link copied to clipboard
open override val text : String ? = null
Content copied to clipboard
textSources
Link copied to clipboard
open override val textSources : TextSourcesList ?
Content copied to clipboard

Full list of TextSources

thumb
Link copied to clipboard
open override val thumb : InputFile ? = null
Content copied to clipboard
type
Link copied to clipboard
open override val type : String
Content copied to clipboard